
Bugs - Bug #19

conversion CASE to SWITCH

03/26/2012 12:00 PM - Stanislav Lomany

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 09/09/2011 10:58 AM - Stanislav Lomany

@45183 - issue description:

If CASE is converted to Java SWITCH operator then all statement blocks except simple DO blocks get excess BREA

K statement. Testcase:

def var i as integer.

def var x as integer.

case i:

   when 1 then do x = 1 to 20:

      message "test".

   end.

   when 2 then repeat while x < 10:

      message "test".

   end.

end.

Converted code:

switch ((i).intValue())

{

   case 1:

   {

      for (...)

      {

         message("test");

         break;  // excess!

      }

      break;

   }

   case 2:

   {

      ...

      repeatWhile("loopLabel1", whileClause0, new Block()

      {

         public void body()

         {

            message("test");

            break;  // excess!

         }

      });

      break;

   }

}
#2 - 09/18/2011 04:10 PM - Redmine Admin

@45185 - Status changed from WIP to Hold

#3 - 04/12/2012 11:23 AM - Stanislav Lomany

Imported from JPRM on 2012-04-12 11:23:11.307:

TASKID      = 6123

PROJECTID   = 124

STATUS      = 3 (Hold)

DESCRIPTION = conversion CASE to SWITCH

OWNER       = SVL

ASSIGNEE    = 

BILLABLE    = false

PRIORITY    = 5 (Normal)

PHASE       = 52 (Problem Resolution)

COMPONENT   = 0

ESTEFFORT   = 0.000000

ESTSTART    = 2012-03-26

ESTSTOP     = 

ACTSTOP     = 

CASENUM     = 

VENDORID    = 

COMMENT     = ''

LASTWIP     = 2011-09-18
